<style type="text/css">
  .balloonoya {
    position: relative;
    /* 指定した分だけ相対的に移動 */
  }

  .balloonoya:hover .balloon {
    display: inline;
    /* インライン要素として表示 */
  }

  .balloon {
    position: absolute;
    /* 親要素を基準 */
    display: none;
    /* 要素を非表示 */
    padding: 2px;
    /* テキストの前後の余白 */
    background-color: rgba(26, 148, 255, 0.312);
    /* 背景色（透明度） */
    width: 180px;
    /* 吹き出し全体の幅 */
    left: 0%;
    /* 表示位置 */
    bottom: 100%;
    /* 表示位置 */
    margin-bottom: 12px;
    /* 表示位置 */
    font-size: 80%;
    /* 文字サイズ */
  }

  .balloon:after {
    border-top: 12px solid rgba(26, 148, 255, 0.312);
    /* 吹き出し口の高さ・色 */
    border-left: 10px solid transparent;
    /* 吹き出し口の幅１／２ */
    border-right: 10px solid transparent;
    /* 吹き出し口の幅１／２ */
    bottom: -12px;
    /* 吹き出し口の位置調整 */
    left: 5%;
    /* 吹き出し口の横位置 */
    content: "";
    /* コンテンツの挿入 */
    position: absolute;
    /* 親要素を基準 */
  }
</style>

<div class='container'>
  <div class='row align-items-left justify-content-left'>
    <div class='col'>

      {% if table_docs["download_module"] %}
        <h3><i class="fa fa-refresh fa-spin "></i> Downloading process is running in background. Please refresh the page.</h3><br>
      {% endif %}

      {% for FE in table_docs['components'] %}

        <h3><i class='fa fa-cog'></i> {{ FE }} ( {{ table_docs['components'][FE]['module_num'] }} modules )</h3>
        <table class='table table-sm toppage' style='font-size: 10pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' rowspan=2 style="text-align:left;">Module Name</th>
              <th scope='col' rowspan=2 style="word-wrap:break-word; text-align:left;">Chip Name</th>
              <th scope='col' colspan=6 style="word-wrap:break-word; text-align:left;">Latest Result</th>
              <div class="balloonoya">
                <th scope="col" colspan=1 rowspan=2 style="word-wrap:break-word; text-align:left;"><div class="balloonoya">Tag <i class="fa fa-question-circle "></i>:
                  <form action="{{ url_for('tag_api.create_tag') }}" style="display: inline-block; margin: 0%;">
                    <button class="btn btn-outline-dark btn-sm" style="padding-top:0; padding-bottom:0; font-size: 90%;">Creat</button>
                  </form>
                <span class="balloon">
                  Create tags with the button. <br>
                  Attach tags with pulldown menu. <br>
                  Detach tags by chosing a tag twice.
                </span>
                </th>
              </div>
            </tr>
            <tr>
              <th scope='col' style="word-wrap:break-word; text-align:left;">Current Stage</th>
              <th scope='col' style="word-wrap:break-word; text-align:left;">Test Type</th>
              <th scope='col' style="word-wrap:break-word; text-align:left;">User</th>
              <th scope='col' style="word-wrap:break-word; text-align:left;">Site</th>
              <th scope='col' style="word-wrap:break-word; text-align:left;">Date</th>
              <th scope='col' style="word-wrap:break-word; text-align:left;">Link</th>
            </tr>
          </thead>
          <tbody align="left">
            {% for module in table_docs['components'][FE]['modules'] %}
              <tr>
                <td style="word-wrap:break-word; text-align:left;">
                  <a href='{{ url_for('component_api.show_component', id=module['_id'], collection=module['collection']) }}'>{{ module['name'] }}</a>
                </td>
                <td style="word-wrap:break-word; text-align:left;">
                {% for chip in module['cps'] %}
                  <a href='{{ url_for('component_api.show_component', id=chip['_id'], collection=chip['collection']) }}' >{{ chip['name'] }}</a><br>
                {% endfor %}
                </td>
                <td style="word-wrap:break-word; text-align:left;">{{ module['stage'] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ module['testType'] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ module['user'] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ module['site'] }}</td>
                <td style="word-wrap:break-word; text-align:left;">{{ module['datetime'] }}</td>
                <td style="word-wrap:break-word; text-align:left;">
                  {% if module['runId'] %}
                  <a href='{{ url_for('component_api.show_component', id=module['_id'], collection=module['collection'], runId=module['runId']) }}'>result page</a>
                  {% endif %}
                </td>
                <td style="word-wrap:break-word; text-align:left;">
                  {% if session['logged_in'] %}
                    <form method="post" action="{{ url_for('tag_api.put_tag', componentid=module["_id"]) }}" style="margin-bottom: 0%;">
                    <select id='tag_name' name='tag_name' onchange="this.form.submit();">
                    <option selected="selected" value="">Select a Tag</option>
                    {% for tag in module['component_tag_candidate'] %}
                      <option value="{{tag['name']}}"">{{ tag['name'] }}</option>
                    {% endfor %}
                    </select>
                    </form>
                  {% endif %}
                  {% for tag in module['component_tag'] %}
                    <i class="fa fa-tag"></i> {{ tag['name'] }}<br>
                  {% endfor %}
                </td>
              </tr>
            {% endfor %}
          </tbody>
        </table>

      {% endfor %}
    </div>
  </div>
</div>
